• Hi, I have had trouble installing nodebb-plugin-discord-notification. In the last days i could not install at all. I rolled back my machine and today managed to install with this output.

    [email protected]:~$ cd /home/smiley/nodebb
    [email protected]:~/nodebb$ npm install nodebb-plugin-discord-notification
    npm WARN deprecated [email protected]: no longer supported
    npm WARN @apidevtools/[email protected] requires a peer of [email protected]>=7 but none is installed. You must install peer dependencies yourself.
    npm WARN [email protected] requires a peer of [email protected]^1.16.0 but none is installed. You must install peer dependencies yourself.
    npm WARN [email protected] requires a peer of [email protected]>=7 but none is installed. You must install peer dependencies yourself.
    npm WARN [email protected] requires a peer of [email protected]^0.14.2 but none is installed. You must install peer dependencies yourself.
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected] (node_modules/fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for [email protected]: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x6                                                   4"})
    
    + [email protected]
    added 14 packages from 15 contributors and audited 1336 packages in 8.728s
    
    148 packages are looking for funding
      run `npm fund` for details
    
    found 3 vulnerabilities (1 moderate, 2 high)
      run `npm audit fix` to fix them, or `npm audit` for details
    [email protected]:~/nodebb$
    

    I activated the plugin and restarted/rebuilt and now I have this. Any ideas what could be wrong? I am sure I have had this working previously on an older versions of NodeBB. Others on the forum say that it works OK on the latest version so I am not sure. Thanks as always.

    discorderror.png


  • @Sampo2910 Looks like the plugin in the NodeBB NPM repository is broken. There is a workaround though in the sense that you can install it from github directly.

    First, completely uninstall the version you installed from npm via the command line, so

    npm remove nodebb-plugin-discord-notification
    

    Then

    npm install git+https://github.com/amargon/nodebb-plugin-discord-notification
    

    Rebuild, restart, and then it should work

    17973bb7-91ab-42bb-98f8-633b1ded36c7-image.png


  • @Sampo2910 Anything in the logs ?


  • @phenomlab Only see this… I think right after it was installed.

    2022-07-25T09:20:29.220Z [4567/85247] - info: [app] Shutdown (SIGTERM/SIGINT) Initialised.
    2022-07-25T09:20:29.224Z [4567/85247] - info: [app] Web server closed to connections.
    2022-07-25T09:20:29.229Z [4567/85247] - info: [app] Live analytics saved.
    2022-07-25T09:20:29.236Z [4567/85247] - info: [app] Database connection closed.
    2022-07-25T09:20:29.236Z [4567/85247] - info: [app] Shutdown complete.
    [cluster] Child Process (85247) has exited (code: 0, signal: null)
    2022-07-25T09:20:29.479Z [4567/85332] - info: Initializing NodeBB v2.2.5 https://forum.fmjcod4.com
    2022-07-25T09:20:30.760Z [4567/85332] - info: [socket.io] Restricting access to origin: https://forum.fmjcod4.com:*
    2022-07-25T09:20:30.959Z [4567/85332] - warn:    [plugins/nodebb-plugin-discord-notification] The plugin.json field "library" is deprecated. Please use the package.json field "main" instead.
    2022-07-25T09:20:30.959Z [4567/85332] - warn: [plugins] Unable to load library for: nodebb-plugin-discord-notification
    2022-07-25T09:20:30.960Z [4567/85332] - error: ReferenceError: define is not defined
        at Object.<anonymous> (/home/smiley/nodebb/public/src/modules/translator.js:5:1)
        at Module._compile (internal/modules/cjs/loader.js:1085:14)
        at Object.Module._extensions..js (internal/modules/cjs/loader.js:1114:10)
        at Module.load (internal/modules/cjs/loader.js:950:32)
        at Function.Module._load (internal/modules/cjs/loader.js:790:14)
        at Module.require (internal/modules/cjs/loader.js:974:19)
        at require (internal/modules/cjs/helpers.js:92:18)
        at Module.require.main.require (/home/smiley/nodebb/require-main.js:8:10)
        at /home/smiley/nodebb/node_modules/nodebb-plugin-discord-notification/library.js:7:32
        at Object.<anonymous> (/home/smiley/nodebb/node_modules/nodebb-plugin-discord-notification/library.js:123:2)
    
    2022-07-25T09:20:30.960Z [4567/85332] - warn: [plugins/load] The following plugins may not be compatible with your version of NodeBB. This may cause unintended behaviour or crashing. In the event of an unresponsive NodeBB caused by this plugin, run `./nodebb reset -p PLUGINNAME` to disable it.
      * nodebb-rewards-essentials
      * nodebb-plugin-dbsearch
      * nodebb-plugin-custom-pages
      * nodebb-plugin-cards
      * nodebb-plugin-soundpack-default
      * nodebb-plugin-recent-cards
      * nodebb-plugin-youtube-embed
      * nodebb-plugin-discord-notification
    

  • @Sampo2910 Looks like the plugin in the NodeBB NPM repository is broken. There is a workaround though in the sense that you can install it from github directly.

    First, completely uninstall the version you installed from npm via the command line, so

    npm remove nodebb-plugin-discord-notification
    

    Then

    npm install git+https://github.com/amargon/nodebb-plugin-discord-notification
    

    Rebuild, restart, and then it should work

    17973bb7-91ab-42bb-98f8-633b1ded36c7-image.png

  • Topic has been marked as solved  phenomlab phenomlab 

  • @phenomlab said in Plugin Install Error:

    npm install git+https://github.com/amargon/nodebb-plugin-discord-notification

    PERFECT!!

    Brilliant Mark. Worked a treat. Quick answer and a wealth of knowledge. Appreciate it a lot!!.


  • @Sampo2910 no problems. Happy to help. Just remember that this particular method isn’t the best in the sense that it may not get update notifications. The general recommendation here would be to move back to the official npm repo as soon as the GitHub version has been merged.

    For the meantime, it’ll work fine though.


If this thread resolved an issue for you, or was useful, why not buy me a coffee? It's a nice gesture, and there's other ways to donate if you wish 💗

Discover More